Upload self serve model data

Version 4.0.26.20 (latest)

Upload data for self-service modeling

Uploads a CSV or Excel file to the specified connection and creates a self-service model.

Request

POST /self_service_models/upload
Datatype
Description
Request
HTTP Request
formData
HTTP FormData
Expand HTTP FormData definition...
file
string
The CSV or Excel file to upload.
connection_id
string
The connection ID to upload to. Defaults to the default upload connection.
sheet_index
integer
(Optional) The index of the sheet to upload (for Excel files).

Response

200: Created self-service model metadata.

Datatype
Description
(object)
model_name
string
The internal, unique name of the model
explore
string
The explore name in the model
explore_label
string
The user-desired friendly name for the model
uploaded_data_name
string
The original filename provided by the user
created_at
integer
UNIX timestamp at which this upload was created.
uploader
integer
Id of the user who created this upload.

400: Bad Request

Datatype
Description
(object)
message
string
Error details
documentation_url
string
Documentation link

403: Permission Denied

Datatype
Description
(object)
message
string
Error details
documentation_url
string
Documentation link

404: Not Found

Datatype
Description
(object)
message
string
Error details
documentation_url
string
Documentation link

422: Validation Error

Datatype
Description
(object)
message
string
Error details
Expand ValidationErrorDetail definition...
field
string
Field with error
code
string
Error code
message
string
Error info message
documentation_url
string
Documentation link
documentation_url
string
Documentation link

429: Too Many Requests

Datatype
Description
(object)
message
string
Error details
documentation_url
string
Documentation link